<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:p="http://primefaces.org/ui">

    <f:view contentType="text/html">
        <h:head>
        </h:head>
        <h:body>
            Test<br/>
            No funcionaba porque el MB debe estar ubicado en la ruta que se definió en el applicationContext.xml
            <br/>
            <h1>OJO: No funciona bien solo si el componente de acción, en este caso commandButton, tiene
                immediate="false". De lo contrario, hay que darle click dos veces al botón para que coja el seleccionado!!!</h1>

            <p:ajaxStatus style="width:16px;height:16px;">
                <f:facet name="start">
                    <h:graphicImage value="/images/ajaxloadingbar.gif" />
                </f:facet>

                <f:facet name="complete">
                    <h:outputText value="" />
                </f:facet>
            </p:ajaxStatus>

            <p:messages id="msgs" showDetail="false" globalOnly="false" />

            <h:form prependId="false" id="form1">

                <h:commandButton value="dele y hágale debug a ver qué pasa. ¿coge la excepción?"
                                 action="#{dummyMB.callingABusinessMethodThrowingException}" />

            </h:form>



        </h:body>
    </f:view>
</html>